Main Page Packages Class Hierarchy Compound List File List Compound Members

# documentcreateentityreference Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| documentcreateentityreference (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "createEntityReference(name)" method creates an EntityReferrence node.

Retrieve the entire DOM document and invoke its "createEntityReference(name)" method. It should create a new EntityReference node for the Entity with the given name. The name, value and type are retrieved and output.

Author:
  NIST , Mary Brady , Curt Arnold

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-392B75AE , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D080

Definition at line 48 of file documentcreateentityreference.java.

## Constructor & Destructor Documentation

documentcreateentityreference::documentcreateentityreference | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 50 of file documentcreateentityreference.java.
    00051  {
    00052       super(factory);
    00053
    00054    }

## Member Function Documentation

String documentcreateentityreference::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 73 of file documentcreateentityreference.java.
    00073                                 {
    00074       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documentcreateentityreference";
    00075    }

void documentcreateentityreference::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 76 of file documentcreateentityreference.java. References DOMTestCase::doMain().
    00076                                           {
    00077         DOMTestCase.doMain(documentcreateentityreference.class,args);
    00078    }

void documentcreateentityreference::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 56 of file documentcreateentityreference.java. References DOMTestCase::assertEquals(), DOMTestCase::assertNotNull(), DOMTestCase::assertNull(), and DOMTest::load().
    00056                                                     {
    00057       Document doc;
    00058       EntityReference newEntRefNode;
    00059       String entRefValue;
    00060       String entRefName;
    00061       int entRefType;
    00062       doc = load("staff");
    00063       newEntRefNode = doc.createEntityReference("ent1");
    00064       assertNotNull("notNull",newEntRefNode);
    00065       entRefValue = newEntRefNode.getNodeValue();
    00066       assertNull("value",entRefValue);
    00067       entRefName = newEntRefNode.getNodeName();
    00068       assertEquals("name","ent1",entRefName);
    00069       entRefType = (int)newEntRefNode.getNodeType();
    00070       assertEquals("type",5,entRefType);
    00071
    00072    }

The documentation for this class was generated from the following file:

- documentcreateentityreference.java